> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payment

> Retrieve detailed information about a specific payment transaction for the authenticated user.



## OpenAPI

````yaml /api/openapi.json get /v2/payments/{userPayment}
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/payments/{userPayment}:
    get:
      tags:
        - Payments
      summary: Get a payment
      description: >-
        Retrieve detailed information about a specific payment transaction for
        the authenticated user.
      parameters:
        - name: userPayment
          in: path
          description: The ID of the payment. Can be retrieved from the list of payments.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A single user payment
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/UserPayment'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    UserPayment:
      description: User payment transaction record representing balance changes
      type: object
      properties:
        id:
          description: Unique identifier for the payment transaction
          type: integer
        type:
          description: >-
            Type of payment transaction (e.g., account_sale, withdrawal, bonus,
            fine)
          enum:
            - bonus
            - tip
            - other
            - compensation
            - withdrawal
            - withdrawal_cancellation
            - boost_completion
            - lesson_completion
            - service_order_completion
            - account_sale
            - skin_sale
            - item_sale
            - currency_sale
            - game_key_sale
            - warehouse_sale
            - boost_completion_cancellation
            - lesson_completion_cancellation
            - skin_sale_cancellation
            - service_order_cancellation
            - account_sale_cancellation
            - item_sale_cancellation
            - warehouse_sale_cancellation
            - currency_sale_cancellation
            - game_key_sale_cancellation
            - referral_reward
            - boost_loss_demotion_fine
            - order_cancellation_fine
            - toxic_behavior_fine
            - chat_ban_fine
            - account_ban_fine
            - general_fine
            - partner_penalty
            - partner_penalty_refund
          type: string
        note:
          description: Optional note or description explaining the payment
          type: string
          nullable: true
        order_type:
          description: Type of related order if applicable (e.g., AccountOrder, ItemOrder)
          type: string
          nullable: true
        order_id:
          description: ID of the related order if applicable
          type: integer
          nullable: true
        amount_eur:
          description: >-
            Payment amount in EUR currency (positive for credit, negative for
            debit)
          type: string
        amount_usd:
          description: Payment amount converted to USD
          type: string
        balance_after_eur:
          description: User balance after this transaction in EUR
          type: string
        balance_after_usd:
          description: User balance after this transaction in USD
          type: string
        is_fine:
          description: Indicates if this payment is a penalty or fine
          type: boolean
        is_warehouse:
          description: >-
            Indicates if this payment affects warehouse balance instead of main
            balance
          type: boolean
        created_at:
          description: Unix timestamp when the payment was created
          type: integer
        updated_at:
          description: Unix timestamp of the last modification to the payment
          type: integer
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````